Subject: Re: [PATCH 09/12] gitk: extract script to build Gitk

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 19 Feb 2025 12:51:08 +0100

On Wed, Feb 19, 2025 at 12:42:44PM +0100, Johannes Sixt wrote:
> Am 19.02.25 um 06:53 schrieb Patrick Steinhardt:
> > On Tue, Feb 18, 2025 at 02:25:43PM -0800, Junio C Hamano wrote:
> >> You would want to coordinate this with Johannes Sixt, who may still
> >> want to maintain the subtree arrangement.
> > 
> > Anyway, Johannes, I'm happy to evict these changes from this patch
> > series and create them as a pull request against your tree. We should
> > then also be including the project as a `subproject()` so that it can be
> > used standalone.
> 
> We can do that.
> 
> But there will be a time frame where the Git repository already knows
> how to (and wants to) build Gitk as subproject, but the Gitk repository
> has not been pulled, yet, and is missing the corresponding Meson
> instructions. Will this work, or should we wait until Gitk's part has
> been integrated in the Git repository?

I guess the easiest way is to land the Meson support in gitk first,
pull those changes into Git and then I'll create a follow-up patch
where we start to use gitk as a subproject. Does that work for you?

Patrick